summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-05-01 16:02:13 +0200
committerPacho Ramos <pacho@gentoo.org>2018-05-01 21:34:07 +0200
commit327c606a1169dba553dc10bdb9e02d165bed19ee (patch)
treefb8523d09070bb5bd1823f9e1ee4f1bacf69e945 /games-puzzle
parentgames-puzzle/quadra: Drop old (diff)
downloadgentoo-327c606a1169dba553dc10bdb9e02d165bed19ee.tar.gz
gentoo-327c606a1169dba553dc10bdb9e02d165bed19ee.tar.bz2
gentoo-327c606a1169dba553dc10bdb9e02d165bed19ee.zip
games-puzzle/rezerwar: Stop using games.eclass
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Diffstat (limited to 'games-puzzle')
-rw-r--r--games-puzzle/rezerwar/rezerwar-0.4.2-r1.ebuild50
1 files changed, 50 insertions, 0 deletions
diff --git a/games-puzzle/rezerwar/rezerwar-0.4.2-r1.ebuild b/games-puzzle/rezerwar/rezerwar-0.4.2-r1.ebuild
new file mode 100644
index 00000000000..042921d7df8
--- /dev/null
+++ b/games-puzzle/rezerwar/rezerwar-0.4.2-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop
+
+DESCRIPTION="Puzzle game like the known tetromino and the average pipe games"
+HOMEPAGE="http://tamentis.com/projects/rezerwar/"
+SRC_URI="http://tamentis.com/projects/rezerwar/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="media-libs/libsdl[sound,joystick,video]
+ media-libs/sdl-mixer[vorbis]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i \
+ -e '/check_sdl$/d' \
+ -e 's/-O2 //' \
+ configure \
+ || die 'sed failed'
+ sed -i \
+ -e '/CC.*OBJECTS/s:$(CC):$(CC) $(LDFLAGS):' \
+ mkfiles/Makefile.src \
+ || die "sed failed"
+}
+
+src_configure() {
+ SDLCONFIG=sdl-config \
+ TARGET_BIN="/usr/bin" \
+ TARGET_DOC=/usr/share/doc/${PF} \
+ TARGET_DATA="/usr/share/${PN}" \
+ ./configure || die "configure failed"
+ sed -i \
+ -e '/TARGET_DOC/d' \
+ Makefile \
+ || die "sed failed"
+}
+
+src_install() {
+ dodir /usr/bin
+ default
+ dodoc doc/{CHANGES,README,TODO}
+ make_desktop_entry rezerwar Rezerwar
+}